Debian Bug report logs - #430129
RM: dvi2tty -- RoQA; orphaned, copyright issues,

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Kenshi Muto <kmuto@debian.org>

Date: Fri, 22 Jun 2007 15:12:02 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kenshi Muto <kmuto@debian.org>, <wnpp@debian.org>:
Bug#430129; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Kenshi Muto <kmuto@debian.org>:
New Bug report received and forwarded. Copy sent to Kenshi Muto <kmuto@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kenshi Muto <kmuto@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: dvi2tty -- Previewing dvi-files on text-only devices
Date: Sat, 23 Jun 2007 00:11:19 +0900 (JST)
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: wnpp
Severity: normal

dvi2tty is the previewer of TeX/LaTeX DVI files.

I'm no longer interested in maintaining this package.

FYI, "unclear copyright issue" has raised on this package
(see #424018).

Thanks,
- -- 
Kenshi Muto
kmuto@debian.org
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Processed by Mailcrypt 3.5.8+ <http://mailcrypt.sourceforge.net/>

iEYEARECAAYFAkZ75pIACgkQQKW+7XLQPLFz4gCgta7es2QIAGFeyO0U90LClAQE
IuIAoIs945JRLNpy5oLUO57rAVMN3LJO
=7fBG
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#430129; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Kapil Hari Paranjape <kapil@imsc.res.in>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 430129@bugs.debian.org (full text, mbox):

From: Kapil Hari Paranjape <kapil@imsc.res.in>
To: control@bugs.debian.org, 430129@bugs.debian.org
Subject: Willing to adopt
Date: Sat, 18 Aug 2007 12:19:45 +0530
[Message part 1 (text/plain, inline)]
retitle 430129  ITA: dvi2tty --  Previewing dvi-files on text-only devices
owner 430129 kapil@debian.org
thanks

Hello,

Since Paul Wise has helped to clarify the copyright issue the package
can continue in Debian. So I'm adopting it.

Regards,

Kapil.
--

[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `ITA: dvi2tty -- Previewing dvi-files on text-only devices' from `O: dvi2tty -- Previewing dvi-files on text-only devices'. Request was from Kapil Hari Paranjape <kapil@imsc.res.in> to control@bugs.debian.org. (Sat, 18 Aug 2007 06:51:02 GMT) Full text and rfc822 format available.

Owner recorded as kapil@debian.org. Request was from Kapil Hari Paranjape <kapil@imsc.res.in> to control@bugs.debian.org. (Sat, 18 Aug 2007 06:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, kapil@debian.org:
Bug#430129; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Kapil Hari Paranjape <kapil@imsc.res.in>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, kapil@debian.org. Full text and rfc822 format available.

Message #19 received at 430129@bugs.debian.org (full text, mbox):

From: Kapil Hari Paranjape <kapil@imsc.res.in>
To: control@bugs.debian.org, 430129@bugs.debian.org
Subject: dvi2tty being orphaned again :-(
Date: Thu, 30 Aug 2007 09:34:37 +0530
[Message part 1 (text/plain, inline)]
retitle 430129  O: dvi2tty --  Previewing dvi-files on text-only devices
thanks

This is a program that I have used and loved since its early days so
it is unfortunate that I have to abandon it :-(

On Sat, 18 Aug 2007, Kapil Hari Paranjape wrote:
> Since Paul Wise has helped to clarify the copyright issue the package
> can continue in Debian. So I'm adopting it.

Further investigation has led me to conclude that the issue is murkier
than I thought. See additional remarks sent to #424018 for details.

As far as I can see the following options are available for users of
this package:

	- sort out the copyright issues and maintain the Debian
	package. To possibly aid this I have attached all the changes
	that I made as a Debian diff.gz file. The patches to the
	source have been classified and separated.

	- re-write the programs from scratch. However, you may want
	to help with the "catdvi" effort. See below.

	- use the following more complex solutions. Note that *all*
	these solutions depend on the use of additional font-related
	files. dvi2tty has the feature (occasionally a bug!) that it
	works with DVI files without *any* additional font information.

	  catdvi: this seems to be under development. In spite of
	  playing with the options I could not get output quite as
	  good as dvi2tty.

	  dvips/dvipdf followed by ps2ascii/pdftotext: This produces
	  reasonable output on the files I tried.

	  If you have the TeX source then you have more options:

	  	untex: this is barebones.

	  	hevea/htlatex followed by w3m/lynx -dump:
	  	this produces the best results.

Regards,

Kapil.
--

[dvi2tty_5.3.1-4.diff.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `O: dvi2tty -- Previewing dvi-files on text-only devices' from `ITA: dvi2tty -- Previewing dvi-files on text-only devices'. Request was from Kapil Hari Paranjape <kapil@imsc.res.in> to control@bugs.debian.org. (Thu, 30 Aug 2007 04:06:03 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by kapil@debian.org. Request was from Kapil Hari Paranjape <kapil@imsc.res.in> to control@bugs.debian.org. (Thu, 30 Aug 2007 06:51:03 GMT) Full text and rfc822 format available.

Severity set to `normal' from `normal' Request was from Barry deFreese <bdefreese@debian.org> to control@bugs.debian.org. (Thu, 21 May 2009 14:57:04 GMT) Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Barry deFreese <bdefreese@debian.org> to control@bugs.debian.org. (Thu, 21 May 2009 14:57:04 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: dvi2tty -- RoQA; orphaned, copyright issues,' from `O: dvi2tty -- Previewing dvi-files on text-only devices'. Request was from Barry deFreese <bdefreese@debian.org> to control@bugs.debian.org. (Thu, 21 May 2009 14:57:05 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sun, 14 Jun 2009 23:06:08 GMT) Full text and rfc822 format available.

Notification sent to Kenshi Muto <kmuto@debian.org>:
Bug acknowledged by developer. (Sun, 14 Jun 2009 23:06:08 GMT) Full text and rfc822 format available.

Message #34 received at 430129-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 430129-close@bugs.debian.org
Cc: dvi2tty@packages.debian.org, dvi2tty@packages.qa.debian.org
Subject: Bug#430129: fixed
Date: Sun, 14 Jun 2009 22:48:28 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

   dvi2tty |    5.3.1-4 | source, alpha, amd64, armel, hppa, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 430129@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/430129

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Frank Lichtenheld (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Jul 2009 07:38:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:06:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.